import axiosInstance from "./axiosInstance";
import { API_ENDPOINTS } from "./apiEndpoints";

export const sendOtpAPI = async (mobile) => {
  const res = await axiosInstance.post(API_ENDPOINTS.MOBILE_SEND_OTP, {
    mobile,
  });
  return res.data;
};

export const verifyOtpAPI = async ({ mobile, otp }) => {
  const res = await axiosInstance.post(API_ENDPOINTS.MOBILE_VERIFY_OTP, {
    mobile,
    otp,
  });
  return res.data;
};

export const logoutAPI = async () => {
  const res = await axiosInstance.post(API_ENDPOINTS.LOGOUT);
  return res.data;
};


